Public Class cottagesGuestContactData
    Private aGuestTableAdapter As CottagesDataSetTableAdapters.GuestsTableAdapter

    Private aGuestDataSet As CottagesDataSet

    Public Function getGuestContactData() As CottagesDataSet
        Try
            'instantiate table adapter and dataset
            Me.aGuestTableAdapter = New CottagesDataSetTableAdapters.GuestsTableAdapter
            Me.aGuestDataSet = New CottagesDataSet
            'fill the dataset
            Me.aGuestTableAdapter.Fill(aGuestDataSet.Guests)
            'return the dataset
            Return aGuestDataSet

        Catch ex As Exception
            Throw ex
        End Try
    End Function
End Class
